DLQ

Retry Failure Callback

If the failure callback for a workflow run has failed, you can use this endpoint to manually trigger the failure callback again.

POST/v2/workflows/dlq/callback/{dlqId}
cURL
curl --request POST \
  --url https://qstash-{region}.upstash.io/v2/workflows/dlq/callback/{dlqId} \
  --header 'Authorization: Bearer <token>'
200Response
{
  "workflowRunId": "<string>",
  "workflowCreatedAt": 123
}

Authorization

Authorizationheaderstringrequired

Bearer authentication header of the form Bearer <token>.

Path parameters

dlqIdpathstringrequired

The DLQ ID of the failed workflow run whose failure callback should be retried.

Response

200 — Failure callback retried successfully

workflowRunIdstring

The ID of the workflow run.

workflowCreatedAtinteger

The timestamp when the workflow run was created (Unix timestamp in milliseconds).

400 — Bad Request. Workflow doesn't have a failed callback, callback is already in-progress, succeeded, or was canceled

errorstringrequired

Error message

401 — Unauthorized

errorstringrequired

Error message

404 — DLQ message not found

errorstringrequired

Error message

500 — Internal Server Error

errorstringrequired

Error message

Loading search…